#ifndef FMC_EVENT_H
#define FMC_EVENT_H

#include <iostream>
#include <vector>

#include "fmcTypes.h"
#include "fmcParticle.h"
#include "fmcEventHeader.h"

class fmcEvent
{
private:
    fmcEventHeader fHeader;
    std::vector<fmcParticle> fParticles;
public:
    
    fmcEvent();
    virtual ~fmcEvent();

    // Setters
    void SetHeader(fmcEventHeader *const& header) { fHeader = *header; }
    void AddParticle(fmcParticle *const& particle) { fParticles.emplace_back(*particle); }

    // Getters
    fmcEventHeader *GetHeader() { return &fHeader; }
    fmcParticle    *GetParticle(fmcInt id) {return &fParticles.at(id); }
    fmcInt          GetNparticles() { return fParticles.size(); }

    ClassDef(fmcEvent,0);
};

#endif