#include "fmcParticle.h"

#include <TMath.h>

ClassImp(fmcParticle);

fmcParticle::fmcParticle()
{
}

fmcParticle::~fmcParticle()
{
}

void fmcParticle::SetPxPyPzE(fmcDouble px, fmcDouble py, fmcDouble pz, fmcDouble e)
{
    fPx = px;
    fPy = py;
    fPz = pz;
    fE  = e;
}

fmcDouble fmcParticle::GetP()
{
    return TMath::Sqrt(fPx*fPx + fPy*fPy + fPz*fPz);
}

fmcDouble fmcParticle::GetPt()
{
    return TMath::Sqrt(fPx*fPx + fPy*fPy);
}

fmcDouble fmcParticle::GetPhi()
{
    return TMath::ATan2(fPy,fPx);
}

fmcDouble fmcParticle::GetEta()
{
    return 0.5 * TMath::Log( (TMath::Sqrt(fPx*fPx + fPy*fPy + fPz*fPz) + fPz)
                            /(TMath::Sqrt(fPx*fPx + fPy*fPy + fPz*fPz) - fPz) );
}

fmcDouble fmcParticle::GetRapidity()
{
    return 0.5 * TMath::Log( (fE + fPz)/(fE - fPz) );
}

fmcDouble fmcParticle::GetM()
{
    return TMath::Sqrt(fE*fE - fPx*fPx - fPy*fPy - fPz*fPz);
}