#ifndef FMC_PARTICLE_H
#define FMC_PARTICLE_H

#include <TROOT.h>
#include "fmcTypes.h"

class fmcParticle
{
private:
    fmcDouble fPx;
    fmcDouble fPy;
    fmcDouble fPz;
    fmcDouble fE;
    fmcInt    fPdg;
    fmcShort  fCharge;
public:

    fmcParticle();
    virtual ~fmcParticle();

    // Setters
    void SetPxPyPzE(fmcDouble px, fmcDouble py, fmcDouble pz, fmcDouble e);
    void SetPdg(fmcInt pdg) { fPdg = pdg; }
    void SetCharge(fmcShort q) { fCharge = q; }

    // Getters
    fmcDouble GetPt();
    fmcDouble GetP();
    fmcDouble GetEta();
    fmcDouble GetPhi();
    fmcDouble GetRapidity();
    fmcDouble GetM();
    fmcInt    GetPdg() { return fPdg; }
    fmcShort  GetCharge() { return fCharge; }

    ClassDef(fmcParticle,0);
};

#endif