#ifndef FMC_LOOP_OPTION_H
#define FMC_LOOP_OPTION_H

#include <TROOT.h>
#include "fmcTypes.h"

class fmcLoopOption{
private:
    fmcBool isRefMult;
    fmcBool isQv;
    fmcBool isRes;
    fmcBool isFlow;
    fmcBool isQvWeight;
public:

    fmcLoopOption();
    virtual ~fmcLoopOption();

    // Setters
    virtual void ProcessRefMult() { isRefMult = true; }
    virtual void ProcessQv() { isQv = true; }
    virtual void ProcessResolution() { isRes = true; }
    virtual void ProcessFlow() { isFlow = true; }
    virtual void ProcessQvWeight() { isQvWeight = true; }

    // Getters
    fmcBool refMult() { return isRefMult; }
    fmcBool qv() { return isQv; }
    fmcBool resolution() { return isRes; }
    fmcBool flow() { return isFlow; }
    fmcBool qvWeight() { return isQvWeight; }

    ClassDef(fmcLoopOption,0);
};

#endif