#ifndef FMC_LOOP_PROCESS_H
#define FMC_LOOP_PROCESS_H

#include <TROOT.h>
#include "fmcTypes.h"
#include "fmcLoopOption.h"
#include "fmcQvector.h"
#include "fmcParticle.h"
#include "fmcEventHeader.h"
#include "fmcReader.h"
#include "fmcParticleLoopInfo.h"

class fmcLoopProcess{
private:
    fmcLoopOption *fOptions;
    fmcEventHeader *fHeader;
    fmcParticle  *fParticle;
    fmcReader    *fReader;
public:

    fmcLoopProcess();
    virtual ~fmcLoopProcess();

    virtual void SetLoopOptions(fmcLoopOption *const& options) { fOptions = options; }
    virtual void SetReader(fmcReader *const& reader) { fReader = reader; }
    virtual fmcParticleLoopInfo *ProcessParticleLoop(fmcLong iev);

    ClassDef(fmcLoopProcess,0);
};

#endif