#ifndef FMC_PARTICLE_LOOP_INFO_H
#define FMC_PARTICLE_LOOP_INFO_H

#include <iostream>
#include <vector>

#include <TROOT.h>
#include "fmcTypes.h"
#include "fmcQvector.h"

class fmcParticleLoopInfo
{
private:
    fmcInt    fMultSTAR;
    fmcInt    fMultPHENIX;
    std::vector<fmcQvector> fQv;
public:

    fmcParticleLoopInfo(/* args */);
    virtual ~fmcParticleLoopInfo();

    // Setters
    virtual void SetMultSTAR(fmcInt mult) { fMultSTAR = mult; }
    virtual void SetMultPHENIX(fmcInt mult) { fMultPHENIX = mult; }
    virtual void AddQv(fmcQvector *const& qv) { fQv.emplace_back(*qv); }

    // Getters
    virtual fmcInt GetMultSTAR() { return fMultSTAR; }
    virtual fmcInt GetMultPHENIX() { return fMultPHENIX; }
    virtual fmcQvector *GetQv(fmcInt i) { return &fQv.at(i); }
    virtual fmcShort GetQvSize() { return fQv.size(); }

    ClassDef(fmcParticleLoopInfo,0);
};

#endif