#ifndef FMC_QVECTOR_H
#define FMC_QVECTOR_H

#include <TROOT.h>
#include <TMath.h>
#include <TVector2.h>
#include "fmcTypes.h"

class fmcQvector : public TVector2
{
private:
    fmcDouble fHarm;
public:

    fmcQvector();
    virtual ~fmcQvector();

    // Setters
    virtual void SetHarmonic(fmcDouble h) { fHarm = h; }

    // Getters
    fmcDouble GetX() { return (fmcDouble) X(); }
    fmcDouble GetY() { return (fmcDouble) Y(); }
    fmcDouble GetHarmonic() { return fHarm; }
    fmcDouble GetPhi() { return TMath::ATan2(fY,fX)/fHarm; }

    ClassDef(fmcQvector,0);
};

#endif