//
// Created by peter on 11/29/19.
//

#ifndef FMC_FMCREADMCINIEVENT_H
#define FMC_FMCREADMCINIEVENT_H

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <TDatabasePDG.h>

#include <algorithm>

#include <URun.h>
#include <UEvent.h>
#include <UParticle.h>
#include <EventInitialState.h>

#include "fmcEvent.h"

class fmcReadmciniEvent {
private:
    TTree          *fChain;
    Int_t           fCurrent;
    EventInitialState *fIniState;
    UEvent *fEvent;
public:
    fmcReadmciniEvent();
    virtual ~fmcReadmciniEvent();

    virtual void     Init(TTree *tree);
    virtual Long64_t LoadTree(Long64_t entry);
    virtual Bool_t   Notify();
    virtual Long64_t GetEntries();
    virtual Long64_t GetEntriesFast();
    virtual fmcInt   GetNparticle();

//    virtual fmcEvent *ReadEvent(fmcLong iev);
    virtual fmcEventHeader *ReadEventHeader(fmcLong iev);
    virtual fmcParticle *ReadParticle(fmcInt ipart);
};


#endif //FMC_FMCREADMCINIEVENT_H
